      program xangdst
!
!     Exercise driver for function angdst
!
!     B. Knapp, 1996-01-29, 2001-01-03
!
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      implicit none
!
!     Constants
      real*8 d2r
      parameter (d2r=3.14159265358979324d0/180.0d0)
!
!     Variables
      real*8 ra1, dec1, ra2, dec2, d
!
!     Functions
      real*8 angdst
      
    1 write(*,'(/a$)') ' RA1, Dec1, RA2, Dec2 (deg)? '
      read(*,*) ra1, dec1, ra2, dec2
      d = angdst(ra1*d2r,dec1*d2r,ra2*d2r,dec2*d2r)/d2r
      write(*,'(1pe24.16)') d
      goto 1
      end
      
